Bug 974773 - rpm and yum are warning about the mingw32_c and _mingw32_c macros
Summary: rpm and yum are warning about the mingw32_c and _mingw32_c macros
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-filesystem
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-15 17:09 UTC by Bruno Wolff III
Modified: 2013-06-17 04:28 UTC (History)
4 users (show)

Fixed In Version: mingw-filesystem-99-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-17 04:28:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Bruno Wolff III 2013-06-15 17:09:23 UTC
Description of problem:
Whenever I run rpm or yum I get the following warnings:
warning: Macro %mingw32_c needs whitespace before body
warning: Macro %mingw32_c needs whitespace before body
warning: Macro %_mingw32_c needs whitespace before body
warning: Macro %_mingw32_c needs whitespace before body


Version-Release number of selected component (if applicable):
mingw32-filesystem-98-2.fc20.noarch
rpm-4.11.1-0.rc1.3.fc20.i686

Comment 1 Richard W.M. Jones 2013-06-15 17:17:00 UTC
The explanation for this warning is here:

https://lists.fedoraproject.org/pipermail/devel/2013-June/183886.html

If we look at the macros in mingw32-filesystem then
we can see:

%mingw32_c++             %{mingw32_target}-c++
%mingw32_c++filt         %{mingw32_target}-c++filt
[..]
%_mingw32_c++                  %{mingw32_c++}
%_mingw32_c++filt              %{mingw32_c++filt}

These are bogus.  It looks like %mingw32_c++ and %_mingw32_c++
should simply be deleted, and check there are no spec files that
are trying to use these (they wouldn't work so it seems unlikely).

The other two should be replaced with:

%mingw32_cxxfilt         %{mingw32_target}-cxxfilt
%_mingw32_cxxfilt              %{mingw32_cxxfilt}

Comment 2 Erik van Pienbroek 2013-06-15 18:12:35 UTC
This was already spotted by Kalev Lember and reported on IRC. He also fixed it already in mingw-filesystem-99 which will be pushed to f19 later today

Comment 3 Fedora Update System 2013-06-16 00:33:38 UTC
mingw-filesystem-99-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-filesystem-99-1.fc19

Comment 4 Fedora Update System 2013-06-17 04:28:59 UTC
mingw-filesystem-99-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.